Delete custom metadata values

Delete custom metadata values for an Asset catalog task record.

DELETE https://{controlplane_path}/api/1/rest/public/catalog/{env_org}/custom-metadata?{uid}
Delete custom metadata values for an Asset catalog task record.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Parameter Description Required
controlplane_path The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
Yes
env_org The name of the SnapLogic Environment/Org. Yes

Query parameters

Parameter Description Required
uid The task ID in the form of path/task_name, where the path includes environment-name, project-space, and project-name. For example, MY-ENV/projects/My-project/My-task. Yes

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

A list of strings that specify the names of the custom columns to delete:

[
  "customColumn1",
  "customColumn2",
  "customColumn3"
]
Key Type Description
customColumn string The name of a custom column with a value to delete. The column must exist.

Response

A successful response includes a Code 200 OK.

Example

To use the following curl example:
  • In the URI, replace Dev with your environment name.
  • Replace the query uid parameter MY-ENV/projects/My-project/My-task with the path to your task. Encode the slashes in the query parameter path.
  • In the request body, replace "newKey" and "NewKeyy" with the name of the custom columns to delete.
curl -X 'DELETE' \
  'http://elastic.snaplogic.com/api/1/rest/public/catalog/Dev/custom-metadata?uid=MY_ENV%2Fprojects%2FMy-project%2FMy-task' \
  -H 'accept: */*' \
  -H 'Content-Type: application/json' \
  -d '[
  "newKey",
  "newKeyy"
]'